## org.jgroups.auth
Class AuthToken

    java.lang.Object
      org.jgroups.auth.AuthToken

All Implemented Interfaces:
  java.io.Serializable, Streamable

Direct Known Subclasses:
  FixedMembershipToken, MD5Token, RegexMembership, SimpleToken, X509Token

    public abstract class AuthToken

extends java.lang.Object
implements java.io.Serializable, Streamable

Abstract AuthToken class used by implementations of AUTH, e.g. SimpleToken, X509Token

Author:
  Chris Mills
See Also:
  Serialized Form

Field Summary
`protected AUTH` `auth` A reference to AUTH
`protected Log` `log`

Constructor Summary
`AuthToken()`

Method Summary
`abstract boolean` `authenticate(AuthToken token, Message msg)` This method should be implemented to perform the actual authentication of joining members.
`abstract java.lang.String` `getName()` Used to return the full package and class name of the implementation.
`void` `init()`
`void` `setAuth(AUTH auth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jgroups.util.Streamable
`readFrom, writeTo`

Field Detail

### log

    protected final Log log

### auth

    protected transient AUTH auth

  A reference to AUTH

Constructor Detail

### AuthToken

    public AuthToken()

Method Detail

### setAuth

    public void setAuth(AUTH auth)

### init

    public void init()

### getName

    public abstract java.lang.String getName()

  Used to return the full package and class name of the implementation. This is used by the AUTH protocol to create an instance of the implementation.

  Returns:
    a java.lang.String object of the package and class name

### authenticate

    public abstract boolean authenticate(AuthToken token,
                                         Message msg)

  This method should be implemented to perform the actual authentication of joining members.

  Parameters:
    `token` - the token sent by the joiner
    `msg` - the Message object containing the actual JOIN_REQ
  Returns:
    true if authenticaion passed or false if it failed.

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.